import axios from 'axios'

const urlBase = "http://127.0.0.1:5000/"
const users = "utilisateurs/"
const contenus = "contenus/"
const en_cours = "en_cours/"
const demande_pub = "demande_pub/"
//const evaluation = "evaluation/

export default {

    // gestion des utilisateurs
    login(data) {
        let login = data[0]
        let motDePasse = data[1]
        /*      let reponse = ""
              axios.get(urlBase + "checkUser?login=" + login + "&password=" + motDePasse).then(function (response) {
                   reponse =  response.data
              })*/
        return axios.get(urlBase + users + "checkUser?login=" + login + "&password=" + motDePasse)
    },
    recupererAuteursExistants(){
        return axios.get(urlBase + users + "auteursExistants")
    },

    // gestion des contenus

    creerContenuPerso(data) {
        return axios.post(urlBase + contenus + "addContenu", data)
    },
    creerContenuTiers(data) {
        return axios.patch(urlBase + contenus + "ajouterTiers", data)
    },
    /*    getContenuById(idContenu) {
            return axios.get(urlBase + contenus + "getContenu/" + idContenu)
        },*/

    getPanierAuteur(auteur) {
        return axios.get(urlBase + contenus + "getContenuPanier/" + auteur + "?perso=True&tiers=True&enCours=true")
    },

    getBanqueAuteur(auteur) {
        return axios.get(urlBase + contenus + "getContenuBanque/" + auteur)
    },
    supprimerContenu(idContenu) {
        return axios.delete(urlBase + contenus + "deletePerso/" + idContenu)
    },

    supprimerTiers(auteur, id_tiers) {
        return axios.delete(urlBase + contenus + "deleteTiers?auteur=" + auteur + "&id_tiers=" + id_tiers)
    },

    creerNouveauContenu(data) {
        return axios.post(urlBase + contenus + "newContenu", data)
    },

    majContenu(data) {
        return axios.patch(urlBase + contenus + "majContenu", data)

    },    gererDemandePublication(data) {
        return axios.patch(urlBase + contenus + "gererDemandePub", data)
    },
    isMajTiersDisponible(auteur) {
        return axios.get(urlBase + contenus + "isMajTiersDisponible/" + auteur)
    },
    listeMajTiers(auteur) {
        return axios.get(urlBase + contenus + "listeMajTiers/" + auteur)
    },
    gererMajTiers(data) {
        return axios.patch(urlBase + contenus + "gererMajTiers", data)
    },
    changerTexte(data, id) {
        return axios.patch(urlBase + contenus + "changerTexte/" + id, data)
    },
    recupererTexteContenu(idContenu){
        return axios.get(urlBase + contenus + "getTexteContenu/" + idContenu)
    },
    recupererTexteVersionContenu(idContenu, version){
        return axios.get(urlBase + "getTexteVersionContenu/" + idContenu + "/" + version)
    },

    // gestion des en-cours
    creerEnCours(data) {
        return axios.post(urlBase + en_cours + "newEnCours", data)
    },

    creerEnCoursRefuse(data) {
        return axios.patch(urlBase + en_cours + "newEnCoursRefuse", data)
    },
    supprimerEnCoursParLid(idEnCours) {
        return axios.delete(urlBase + en_cours + "supprimerEnCoursParId/" + idEnCours)
    },
    recupererTexteContenuEnCours(idContenu){
        return axios.get(urlBase + en_cours + "getTexteContenuEnCours/" + idContenu)
    },

    // gestion des demandes de publication

    getPublicationsRecues(auteur) {
        return axios.get(urlBase + demande_pub + "demandePublication/" + auteur + "/False")
    },

    getPublicationsProposees(auteur) {
        return axios.get(urlBase + demande_pub + "demandePublication/" + auteur + "/True")
    },

    creerDemandePublication(data) {
        return axios.post(urlBase + demande_pub + "demandePublication", data)

    },
    supprimerDemandePublication(idDemandePublication) {
        return axios.delete(urlBase + demande_pub + "demandePublication/" + idDemandePublication)
    },
}